Bug 589440 - Running gtkperf w/ vmware vga crashes the VM.
Running gtkperf w/ vmware vga crashes the VM.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 03:45 EDT by Gilboa Davara
Modified: 2013-01-09 06:34 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:07:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qemu callstack during 100% spin (4.51 KB, application/octet-stream)
2010-05-06 03:45 EDT, Gilboa Davara
no flags Details
qemu strace seconds before crash (4.73 KB, application/octet-stream)
2010-05-06 03:46 EDT, Gilboa Davara
no flags Details

  None (edit)
Description Gilboa Davara 2010-05-06 03:45:35 EDT
Created attachment 411859 [details]
qemu callstack during 100% spin

As the title suggests, once the client finishes the scroll test, the guest hangs, and qemu-kvm spins at 100% CPU.

Host: Fedora 12/x86_64.
Guest: Fedora 13/i686 (2GB, 2CPUs).
Hardware: 2 x Xeon L5530, 12GB, 9800GTX/512MB, nVidia proprietary driver.

The machine has a serial console (via telnet), but I did not see any type of OOps/crash message. It looks like a host problem.

qemu version:
$ rpm -qa | grep qemu
qemu-common-0.12.3-4.fc12.x86_64
qemu-system-mips-0.12.3-4.fc12.x86_64
qemu-launcher-1.7.4-7.fc12.noarch
qemu-img-0.12.3-4.fc12.x86_64
qemu-system-m68k-0.12.3-4.fc12.x86_64
qemu-kvm-0.12.3-4.fc12.x86_64
qemu-system-ppc-0.12.3-4.fc12.x86_64
qemu-system-sh4-0.12.3-4.fc12.x86_64
qemu-system-sparc-0.12.3-4.fc12.x86_64
qemu-system-cris-0.12.3-4.fc12.x86_64
qemu-system-arm-0.12.3-4.fc12.x86_64
qemu-system-x86-0.12.3-4.fc12.x86_64
gpxe-roms-qemu-0.9.9-1.20091018git.fc12.noarch
qemu-user-0.12.3-4.fc12.x86_64
qemu-0.12.3-4.fc12.x86_64

Guest command line:
qemu-kvm -cdrom /dev/sr0 -serial telnet::9006,server,nowait -soundhw es1370 -net nic,vlan=1,macaddr=00:E0:81:B0:FB:06,model=e1000 -net tap,vlan=1,ifname=tap60 -net nic,vlan=2,macaddr=00:E0:81:B0:FB:16,model=e1000 -net tap,vlan=2,ifname=tap61-m2048 -name Fedora-i386-F13 -hda /usr/drives/kvm/Fedora-i386/Fedora-i386-F13.img -smp2 -usb -usbdevice tablet -vga vmware -vnc :6 -boot c

qemu strace and pstack (during gtkperf attached)

- Gilboa
Comment 1 Gilboa Davara 2010-05-06 03:46:19 EDT
Created attachment 411860 [details]
qemu strace seconds before crash
Comment 2 Bug Zapper 2010-11-03 11:31:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Gilboa Davara 2010-11-04 09:40:23 EDT
Reproducible w/ F13 host and F14 guest.
qemu-kvm hangs at 100% CPU. (pstack out attached, most likely vmsvga_fifo_run)

 $ pstack $(pgrep qemu-kvm)
Thread 7 (Thread 0x7f7d754cf710 (LWP 23357)):
#0  0x000000355e40dfb4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x000000355e4092c5 in _L_lock_868 () from /lib64/libpthread.so.0
#2  0x000000355e409197 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x00000000004282fe in post_kvm_run ()
#4  0x0000000000429b1a in kvm_run ()
#5  0x0000000000429f49 in kvm_cpu_exec ()
#6  0x000000000042ab91 in ap_main_loop ()
#7  0x000000355e407761 in start_thread () from /lib64/libpthread.so.0
#8  0x000000355d8e14fd in clone () from /lib64/libc.so.6
Thread 6 (Thread 0x7f7d74ace710 (LWP 23358)):
#0  0x000000000046aec6 in vmsvga_fifo_run ()
#1  0x0000000000429e80 in kvm_run ()
#2  0x0000000000429f49 in kvm_cpu_exec ()
#3  0x000000000042ab91 in ap_main_loop ()
#4  0x000000355e407761 in start_thread () from /lib64/libpthread.so.0
#5  0x000000355d8e14fd in clone () from /lib64/libc.so.6
Thread 5 (Thread 0x7f7d6ece8710 (LWP 23359)):
#0  0x000000355d8d7df3 in poll () from /lib64/libc.so.6
#1  0x0000003576e2cc0f in ?? () from /usr/lib64/libpulse.so.0
#2  0x0000003576e1cae6 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x0000003576e1dec9 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x0000003576e1df80 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x0000003576e2ca0b in ?? () from /usr/lib64/libpulse.so.0
#6  0x0000003576638878 in ?? () from /usr/lib64/libpulsecommon-0.9.21.so
#7  0x000000355e407761 in start_thread () from /lib64/libpthread.so.0
#8  0x000000355d8e14fd in clone () from /lib64/libc.so.6
Thread 4 (Thread 0x7f7d6e2e7710 (LWP 23360)):
#0  0x000000355e40b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000000004c7171 in audio_pt_wait ()
#2  0x00000000004c6c85 in qpa_thread_in ()
#3  0x000000355e407761 in start_thread () from /lib64/libpthread.so.0
#4  0x000000355d8e14fd in clone () from /lib64/libc.so.6
Thread 3 (Thread 0x7f7d6d8e6710 (LWP 23361)):
#0  0x000000355d8d7df3 in poll () from /lib64/libc.so.6
#1  0x0000003576e2cc0f in ?? () from /usr/lib64/libpulse.so.0
#2  0x0000003576e1cae6 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x0000003576e1dec9 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x0000003576e1df80 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x0000003576e2ca0b in ?? () from /usr/lib64/libpulse.so.0
#6  0x0000003576638878 in ?? () from /usr/lib64/libpulsecommon-0.9.21.so
#7  0x000000355e407761 in start_thread () from /lib64/libpthread.so.0
#8  0x000000355d8e14fd in clone () from /lib64/libc.so.6
Thread 2 (Thread 0x7f7d6cee5710 (LWP 23362)):
#0  0x000000355e40b3bc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00000000004c7171 in audio_pt_wait ()
#2  0x00000000004c6e2c in qpa_thread_out ()
#3  0x000000355e407761 in start_thread () from /lib64/libpthread.so.0
#4  0x000000355d8e14fd in clone () from /lib64/libc.so.6
Thread 1 (Thread 0x7f7d754d0740 (LWP 23255)):
#0  0x000000355e40dfb4 in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x000000355e4092c5 in _L_lock_868 () from /lib64/libpthread.so.0
#2  0x000000355e409197 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x00000000004277ce in kvm_mutex_lock ()
#4  0x000000000040ba68 in main_loop_wait ()
#5  0x0000000000427b7a in kvm_main_loop ()
#6  0x000000000040ea96 in main ()
Comment 4 Bug Zapper 2011-06-02 10:26:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:07:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.